# Uses of Class
org.apache.sysds.runtime.compress.CompressionSettings

Packages that use CompressionSettings
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.bitmap
org.apache.sysds.runtime.compress.cocode
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.cost
org.apache.sysds.runtime.compress.estim
org.apache.sysds.runtime.compress.estim.encoding

## Uses of CompressionSettings in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress that return CompressionSettings
Modifier and Type
Method
Description
`CompressionSettings`
CompressionSettingsBuilder.`create()`
Create the CompressionSettings object to use in the compression.
Methods in org.apache.sysds.runtime.compress with parameters of type CompressionSettings
Modifier and Type
Method
Description
`CompressionSettingsBuilder`
CompressionSettingsBuilder.`copySettings(CompressionSettings that)`
Copy the settings from another CompressionSettings Builder, modifies this, not that.

## Uses of CompressionSettings in org.apache.sysds.runtime.compress.bitmap

Methods in org.apache.sysds.runtime.compress.bitmap with parameters of type CompressionSettings
Modifier and Type
Method
Description
`static ABitmap`
BitmapEncoder.`extractBitmap(IColIndex colIndices, MatrixBlock rawBlock, int estimatedNumberOfUniques, CompressionSettings cs)`

## Uses of CompressionSettings in org.apache.sysds.runtime.compress.cocode

Methods in org.apache.sysds.runtime.compress.cocode with parameters of type CompressionSettings
Modifier and Type
Method
Description
`static CompressedSizeInfo`
CoCoderFactory.`findCoCodesByPartitioning(AComEst est, CompressedSizeInfo colInfos, int k, ACostEstimate costEstimator, CompressionSettings cs)`
Main entry point of CoCode.

## Uses of CompressionSettings in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type CompressionSettings
Modifier and Type
Method
Description
`static List<AColGroup>`
ColGroupFactory.`compressColGroups(MatrixBlock in, CompressedSizeInfo csi, CompressionSettings cs)`
The actual compression method, that handles the logic of compressing multiple columns together.
`static List<AColGroup>`
ColGroupFactory.`compressColGroups(MatrixBlock in, CompressedSizeInfo csi, CompressionSettings cs, int k)`
The actual compression method, that handles the logic of compressing multiple columns together.
`static List<AColGroup>`
ColGroupFactory.`compressColGroups(MatrixBlock in, CompressedSizeInfo csi, CompressionSettings cs, ACostEstimate ce, int k)`

## Uses of CompressionSettings in org.apache.sysds.runtime.compress.cost

Methods in org.apache.sysds.runtime.compress.cost with parameters of type CompressionSettings
Modifier and Type
Method
Description
`static ACostEstimate`
CostEstimatorFactory.`create(CompressionSettings cs, CostEstimatorBuilder costBuilder, int nRows, int nCols, double sparsity)`
Create a cost estimator to enable comparison of different suggested compression formats
Constructors in org.apache.sysds.runtime.compress.cost with parameters of type CompressionSettings
Modifier
Constructor
Description
``
`DistinctCostEstimator(int nRows, CompressionSettings cs, double sparsity)`

## Uses of CompressionSettings in org.apache.sysds.runtime.compress.estim

Methods in org.apache.sysds.runtime.compress.estim with parameters of type CompressionSettings
Modifier and Type
Method
Description
`static AComEst`
ComEstFactory.`createEstimator(MatrixBlock data, CompressionSettings cs, int k)`
Create an estimator for the input data with the given settings and parallelization degree.
`static AComEst`
ComEstFactory.`createEstimator(MatrixBlock data, CompressionSettings cs, int sampleSize, int k)`
Create an estimator for the input data with the given settings and parallelization degree.
`AColGroup.CompressionType`
CompressedSizeInfoColGroup.`getBestCompressionType(CompressionSettings cs)`
Constructors in org.apache.sysds.runtime.compress.estim with parameters of type CompressionSettings
Modifier
Constructor
Description
``
`ComEstCompressedSample(CompressedMatrixBlock sample, CompressionSettings cs, CompressedMatrixBlock full, int k)`
``
`ComEstExact(MatrixBlock data, CompressionSettings compSettings)`
``
`ComEstSample(MatrixBlock data, CompressionSettings cs, int sampleSize, int k)`
CompressedSizeEstimatorSample, samples from the input data and estimates the size of the compressed matrix.
``
`ComEstSample(MatrixBlock sample, CompressionSettings cs, MatrixBlock full, int k)`

## Uses of CompressionSettings in org.apache.sysds.runtime.compress.estim.encoding

Methods in org.apache.sysds.runtime.compress.estim.encoding with parameters of type CompressionSettings
Modifier and Type
Method
Description
`EstimationFactors`
ConstEncoding.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`
`EstimationFactors`
DenseEncoding.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`
`EstimationFactors`
EmptyEncoding.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`
`EstimationFactors`
IEncode.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`
Extract the compression facts for this column group.
`EstimationFactors`
SparseEncoding.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`